// Mozilla User Preferences

user_pref("alerts.showFavicons", true);
user_pref("browser.display.use_system_colors", true);
user_pref("browser.underline_anchors", false);
user_pref("cookiebanners.service.mode", 1);
user_pref("dom.webgpu.enabled", true);
user_pref("gfx.use-ahardwarebuffer-content", true);
user_pref("gfx.webgpu.ignore-blocklist", true);
user_pref("gfx.webrender.all", true);
user_pref("gfx.webrender.compositor", true);
user_pref("gfx.webrender.compositor.force-enabled", true);
user_pref("gfx.webrender.enabled", true);
user_pref("gfx.webrender.program-binary", true);
user_pref("gfx.webrender.program-binary-disk", false);
user_pref("image.avif.enabled", true);
user_pref("layers.acceleration.force-enabled", true);
user_pref("media.benchmark.vp9.fps", 254);
user_pref("media.benchmark.vp9.versioncheck", 5);
user_pref("media.decoder.recycle.enabled", true);
user_pref("media.eme.enabled", true);
user_pref("media.eme.encrypted-media-encryption-scheme.enabled", true);
user_pref("media.ffmpeg.dmabuf-textures.enabled", true);
user_pref("media.ffmpeg.low-latency.enabled", true);
user_pref("media.ffmpeg.vaapi.enabled", true);
user_pref("media.getusermedia.audiocapture.enabled", true);
user_pref("media.getusermedia.browser.enabled", true);
user_pref("media.gmp.decoder.enabled", true);
user_pref("media.gmp.decoder.multithreaded", true);
user_pref("media.gpu-process-decoder", true);
user_pref("media.hardware-video-decoding.force-enabled", true);
user_pref("media.hls.enabled", true);
user_pref("media.media-capabilities.screen.enabled", true);
user_pref("media.mediasource.experimental.enabled", true);
user_pref("media.navigator.mediadatadecoder_vpx_enabled", true);
user_pref("media.navigator.video.red_ulpfec_enabled", true);
user_pref("media.peerconnection.default_iceservers", "[{\"urls\": [\"stun:stun.services.mozilla.com\",\"stun:stun.l.google.com:19302\",\"stun:stun.schlund.de\",\"stun:stunserver.org\"]}]");
user_pref("media.peerconnection.video.denoising", true);
user_pref("media.peerconnection.video.vp9_preferred", true);
user_pref("media.recorder.audio_node.enabled", true);
user_pref("media.track.enabled", true);
user_pref("media.useAudioChannelAPI", true);
user_pref("media.videocontrols.picture-in-picture.keyboard-controls.enabled", true);
user_pref("media.webrtc.hw.h264.enabled", true);
user_pref("media.webrtc.platformencoder", true);
user_pref("media.webspeech.recognition.enable", true);
user_pref("network.IDN_show_punycode", true);
user_pref("network.auth.force-generic-ntlm", true);
user_pref("network.automatic-ntlm-auth.allow-non-fqdn", true);
user_pref("network.automatic-ntlm-auth.trusted-uris", "corpuls.local,corpuls.com");
user_pref("network.cookie.cookieBehavior", 3);
user_pref("network.cookie.lifetimePolicy", 2);
user_pref("network.dns.disablePrefetch", true);
user_pref("network.http.referer.XOriginPolicy", 2);
user_pref("network.http.referer.XOriginTrimmingPolicy", 2);
user_pref("network.dns.localDomains", "corpuls.local");
user_pref("network.http.speculative-parallel-limit", 0);
user_pref("network.negotiate-auth.allow-non-fqdn", true);
user_pref("network.negotiate-auth.delegation-uris", "corpuls.local");
user_pref("network.negotiate-auth.trusted-uris", ".corpuls.local,.corpuls.com");
user_pref("network.predictor.enabled", false);
user_pref("network.prefetch-next", false);
user_pref("network.trr.custom_uri", "https://clean.dnsforge.de/dns-query");
user_pref("network.trr.enable_when_nrpt_detected", true);
user_pref("network.trr.enable_when_proxy_detected", true);
user_pref("network.trr.enable_when_vpn_detected", true);
user_pref("network.trr.mode", 2);
user_pref("network.trr.uri", "https://clean.dnsforge.de/dns-query");
user_pref("network.trr.wait-for-portal", true);
user_pref("pdfjs.enableWebGL", true);
user_pref("pdfjs.enabledCache.state", true);
user_pref("privacy.donottrackheader.enabled", true);
user_pref("privacy.fingerprintingProtection", true);
user_pref("privacy.firstparty.isolate", true);
user_pref("privacy.history.custom", true);
user_pref("privacy.resist.fingerprinting", true);
user_pref("privacy.sanitize.sanitizeOnShutdown", true);
user_pref("privacy.trackingprotection.enabled", true);
user_pref("security.cert_pinning.enforcement_level", 2);
user_pref("webgl.enable-ahardwarebuffer", true);
user_pref("webgl.enable-privileged-extensions", true);
user_pref("webgl.force-enabled", true);
